About tab

Displays information about the ODBC core components, including the Driver Manager, the cursor library, the installer .dll, and other files that constitute the core components.

Control | Description
ODBC core component list | The description, version, file name, and location of each ODBC core component.
OK | Closes the ODBC Data Source Administrator dialog box.
Cancel | Closes the ODBC Data Source Administrator dialog box but does not undo changes made via other dialog box controls.
Help | Displays this Help screen.


Connection Pooling Tab

Lets you alter the connection retry wait time and connection time-out period for a selected driver when using connection pooling and also lets you enable and disable performance monitoring, which records a number of connection statistics. Connection pooling enables your application to use a connection from a pool of connections that do not need to be reestablished for each use. After a connection has been created and placed in a pool, an application can reuse that connection without performing the complete connection process. This improves performance.

Control | Description
ODBC Drivers | Lists the name of each installed ODBC driver with its connection pooling time-out option. To set the time-out option, double-click the ODBC driver name.
Connection Pooling Timeout | Sets the connection pooling time-out, in seconds, for the selected driver. To set connection pooling attributes, double-click the driver name. The Set Connection Pooling Attributes dialog box appears. You can set a time period that unused connections remain in the pool and also activate connection pooling for the selected driver.
Enable | Enables performance-monitoring counters for connection pooling. For more information about performance monitoring, see the ODBC Programmer's Reference.
Disable | Disables performance-monitoring counters for connection pooling. For more information about performance monitoring, see the ODBC Programmer's Reference.
Retry Wait Time | Specifies, in seconds and in fewer than six numerals, how long the ODBC Driver Manager waits before making connection retries to a database server.
OK | Accepts changes to connection pooling settings and closes the ODBC Data Source Administrator dialog box.
Cancel | Closes the ODBC Data Source Administrator dialog box without accepting changes to settings.
Apply | Accepts changes to connection pooling settings and leaves the ODBC Data Source Administrator dialog box open.
Help | Displays this Help screen.


File Data Source Tab

Lets you connect with a data source that has file data source names (DSNs). A file-based data source, not necessarily user-dedicated nor local to a computer, can be shared among all users who have the same drivers installed.

Control | Description
File Data Source | Displays all file DSNs and subdirectories of the directory indicated in the Look in box. Double-clicking a DSN connects to the data source.
Look in | Indicates the directory for which the subdirectories and file DSNs are listed in the window below. Clicking the down arrow alongside this text box displays the entire directory structure.
Up One Level icon | Replaces the directory indicated in the Look in box with the directory located one level up.
DSN Name | Displays the file DSN name, which is either selected in the File Data Sources list or entered manually.
New | Click to add a new file data source. In the Create New Data Source dialog box that appears, choose the driver for which you are adding a file DSN and click Next to specify the name or location of the new file DSN. Click Next again to view a summary of the new information. Click Finish to display the driver-specific setup dialog box.
OK | Closes the Select Data Source dialog box and connects to the file data source that is indicated in the DSN Name text box. You do not have to click OK to accept changes to the File Data Sources list. Changes to the list are accepted when you click OK in the data source setup dialog box.
Cancel | Closes the Select Data Source dialog box without connecting to the file data source and without undoing changes made via other dialog box controls.
Help | Displays this Help screen.


File DSN Tab

Adds, deletes, or sets up file-based data sources that can be shared among all users who have the same drivers installed. These data sources need not be user-dedicated or local to a computer.

Control | Description
File Data Sources | Displays all file data source names (DSNs) and subdirectories of the directory indicated in the Look in box. Double-clicking a file DSN displays the driver-specific data source setup dialog box.
Add | Click to add a new file data source. In the Create New Data Source dialog box that appears, choose the driver for which you are adding a file data source and click Next to specify the name or location of the new file data source. Click Next again to view a summary of the new data source information. Click Finish to display the driver-specific setup dialog box.
Remove | Removes a selected file data source. You must select the file data source you want to remove from the list before clicking Remove.
Configure | Click to change the configuration of a selected file data source. You must select the name of a file data source from the list before clicking Configure. Displays the driver-specific data source setup dialog box.
Set Directory | Sets the directory indicated in the Look in box as the default when the ODBC Administrator is executed.
Look in | Displays the directory for which the subdirectories and file DSNs are listed in the window below. Clicking the down arrow alongside this text box displays the entire directory structure. The default directory that is initially displayed when the ODBC Administrator is first executed is contained in the system information, but you can change it with the Set Directory button.
Up One Level icon | Replaces the directory shown in the Look in box with the directory located one level up.
OK | Closes the ODBC Data Source Administrator dialog box. You do not have to press OK to accept changes to the File Data Sources list. Changes to the list are accepted once you click OK in the data source setup dialog box.
Cancel | Closes the ODBC Data Source Administrator dialog box but does not undo changes made via other dialog box controls.
Help | Displays this Help screen.


Machine Data Source Tab

Allows you to connect with a data source that has a user data source name (DSN) or a system DSN. Machine data sources are specific to this machine and cannot be shared.

Control | Description
Machine Data Source | Lists all user and system DSNs, including the name and type of each DSN. Double-clicking a DSN connects to the data source.
New | Click to add a new machine data source. In the Create New Data Source dialog box that appears, choose the driver for which you are adding a user or system DSN and click Next to specify the name or location of the new DSN. Click Next again to view a summary of the new information. Click Finish to display the driver-specific setup dialog box.
OK | Closes the Select Data Source dialog box and connects to the selected data source. Clicking OK does not accept changes to the Machine Data Sources list. Changes to the list are accepted when you click OK in the Data Source Setup dialog box.
Cancel | Closes the Select Data Source dialog box without connecting to the file data source and without undoing changes made via other dialog box controls.
Help | Displays this Help screen.


Drivers Tab

Displays information about the ODBC drivers installed on your computer. No action can be performed from this tab. You must use the specific driver setup program to add or remove ODBC drivers.

Control | Description
ODBC Drivers | The name, version, company, file name, and file creation date of each ODBC driver on the computer.
OK | Closes the ODBC Data Source Administrator dialog box.
Cancel | Closes the ODBC Data Source Administrator dialog box.
Help | Displays this Help screen.


System DSN Tab

Adds, deletes, or sets up data sources with system data source names (DSNs). These data sources are local to a computer but not user-dedicated; any user with privileges can access a system DSN.

Control | Description
System Data Sources | Lists all system DSNs, including the name and associated driver of each DSN. Double-clicking a system DSN displays the driver-specific data source setup dialog box.
Add | Click to add a new system data source. In the Create New Data Source dialog box that appears, choose the driver for which you are adding a system data source and click Finish; a driver-specific setup dialog box will appear.
Remove | Removes a selected system data source name from the System Data Sources list.
Configure | Click to change the configuration of a selected system data source. Displays the driver-specific data source setup dialog box that enables you to change the configuration of an existing system data source. You must select the name of a system data source from the list before clicking Configure.
OK | Closes the ODBC Data Source Administrator dialog box. You do not have to click OK to accept changes to the System Data Sources list. Changes to the list are accepted once you click OK in the data source setup dialog box.
Cancel | Closes the ODBC Data Source Administrator dialog box but does not undo changes made via other dialog box controls.
Help | Displays this Help screen.


Tracing Tab

Specifies how the ODBC Driver Manager traces calls to ODBC functions. The Driver Manager can trace calls continuously or for one connection only, can perform tracing dynamically, or can allow tracing to be performed by a custom trace .dll.

Control | Description
Start Tracing Now/Stop Tracing Now (toggle) | Enables continuous dynamic tracing, whether or not a connection has been made, as long as the ODBC Data Source Administrator dialog box is displayed or until you click Stop Tracing Now.
Start Visual Studio Analyzer/Stop Visual Studio Analyzer (toggle) | Enables Visual Studio Analyzer, which remains enabled until you click Stop Visual Studio Analyzer. Visual Studio Analyzer is a tool you can use for debugging and analyzing your distributed application. Visual Studio Analyzer was included in older versions of Visual Studio.
Log file Path | Displays the path and file name where the tracing information will be stored. Use the default path and file name (\sql.log), or alternatively, specify a new file either by entering a new path and file name or by clicking Browse and selecting a directory and file.
Browse | Lets you select the path and file name for the log file by browsing machine directories.
Custom Trace DLL | Lets you select a .dll file other than Odbctrac.dll to perform tracing. Enter the path and file name of the custom .dll, or click Select DLL to browse the directories. Odbctrac.dll can be replaced by a custom .dll of your choice.
Select DLL | Lets the user browse the directory structure for a custom trace .dll. The path and file name of the chosen .dll will appear in the Custom Trace DLL text box.
OK | Accepts changes to the Log file path and Custom Trace DLL settings and closes the ODBC Data Source Administrator dialog box.
Cancel | Closes the ODBC Data Source Administrator dialog box without accepting changes to settings.
Apply | Accepts changes to tracing settings and leaves the ODBC Data Source Administrator dialog box open.
Help | Displays this Help screen.


Select Translator Dialog Box

The Select Translator dialog box lists the installed translation .dlls and lets you select one, enabling the driver to translate data from one character set to another. The application and data source often store data in different character sets. ODBC provides a generic mechanism that lets the driver translate data from one character set to another.

After you specify a translation .dll, the driver loads it and calls it to translate all data flowing between the application and data source. This includes all SQL statements and character parameters being sent to the data source, and all character results, character metadata such as column names, and error messages that are retrieved from the data source. Connection data is not translated, because the translation .dll is not loaded until after the application has connected to the data source.

The translator .dll that implements the translation functions SQLDriverToDataSource and SQLDataSourceToDriver, which are called by the driver, can be written by the application developer, the driver developer, or a third party.

For more information about translation .dlls, see the ODBC Programmer's Reference.


User DSN Tab

Adds, deletes, or sets up data sources with user data source names (DSNs). These data sources are local to a computer and accessible only by the current user.

Control | Description
User Data Sources | Lists all user DSNs, including the name and associated driver of each DSN. Double-clicking a user DSN displays the driver-specific data source setup dialog box.
Add | Click to add a new user data source. In the Create New Data Source dialog box that appears, choose the driver for which you are adding a user data source and click Finish; a driver-specific setup dialog box will appear.
Remove | Click to remove a selected user data source name from the Users Data Sources list.
Configure | Click to change the configuration of a selected user data source. This will display the driver-specific data source setup dialog box.
OK | Closes the ODBC Data Source Administrator dialog box. You do not have to click OK to accept changes to the User Data Sources list. Changes to the list are accepted once you click OK in the data source setup dialog box.
Cancel | Closes the ODBC Data Source Administrator dialog box but does not undo changes made via other dialog box controls.
Help | Displays this Help screen.


Legal and Copyright Information

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted in examples herein are fictitious. No association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2009 Microsoft Corporation. All rights reserved.

Microsoft, Active Directory, ActiveX, JScript, Microsoft Press, MSDN, MS-DOS, Outlook, PivotChart, PivotTable, PowerPoint, SQL Server, Visual Basic, Visual C++, Visual Studio, Win32, Windows, and Windows NT are trademarks of the Microsoft group of companies.

All other trademarks are property of their respective owners.


.topic 902
Lists all user DSNs, including the name and associated driver of each DSN. Double-clicking a user DSN displays the driver-specific data source setup dialog box.

.topic 903
Click to change the configuration of a selected user data source.

.topic 904
Click to add a new user data source.

.topic 905
Click to remove a selected user data source.

.topic 910
Lists all system DSNs, including the name and associated driver of each DSN. Double-clicking a system DSN displays the driver-specific data source setup dialog box.

.topic 911
Click to change the configuration of a selected system data source.

.topic 912
Click to add a new system data source.

.topic 913
Click to remove a selected system data source.

.topic 915
Displays all file DSNs and subdirectories of the directory indicated in the Look in box. Double-clicking a file DSN displays the driver-specific data source setup dialog box.

.topic 916
Click to change the configuration of a selected file data source.

.topic 917
Click to add a new file data source.

.topic 918
Click to remove a selected file data source.

.topic 919
Sets the directory indicated in the Look in box as the default when the ODBC Administrator is executed.

.topic 920
Displays the directory for which the subdirectories and file DSNs are listed in the window below.

.topic 921
Replaces the directory indicated in the Look in box with the directory located one level up.

.topic 969
Lists each installed ODBC driver with its connection pooling timeout option. To set the timeout option, double-click the ODBC driver name.

.topic 965
The name, version, company, file name, and release date of each installed ODBC driver.

.topic 924
Allows you to set tracing options for your application.

.topic 926
Enables continuous dynamic tracing, whether or not a connection has been made, as long as the ODBC Data Source Administrator dialog box is displayed or until you click Stop Tracing Now. (This button toggles between Start Tracing Now and Stop Tracing Now.)

.topic 923
Activates Visual Studio Analyzer, which remains enabled until you click Stop Visual Studio Analyzer. (This button toggles between Start Visual Studio Analyzer and Stop Visual Studio Analyzer.)

.topic 925
Enables ODBC tracing for all processes launched by any users. Only administrators can enable this option.

.topic 927
Displays the path and file name where the tracing information will be stored. Defaults to log file sql.log.

.topic 968
Select the path and file name for the log file.

.topic 928
Enter the appropriate path and file name to choose a custom trace .dll file.

.topic 929
Browse the directory structure for a custom trace .dll.

.topic 952
Displays all file DSNs and subdirectories contained in the directory indicated in the Look in box. Double-clicking a DSN connects to the data source.

.topic 953
Indicates the directory for which the subdirectories and file DSNs are listed in the window below.

.topic 954
Replaces the directory shown in the Look in box with the directory located one level up.

.topic 955
Displays the file DSN name either selected from the File Data Sources list or entered manually.

.topic 957
Click to add a new file data source.

.topic 961
Lists all user and system DSNs, including the name and type of each DSN. Double-clicking a DSN connects to the data source.

.topic 974
Sets connection performance monitoring for debugging but affects application performance.

.topic 971
Enables performance monitoring of the connection.

.topic 972
Disables performance monitoring of the connection.

.topic 973
Specifies, in seconds, the wait time for connection retries.

.topic 962
Click to add a new machine data source.